Subject: bug#33061: 27.0.50; Hard to see text under header-line when using misterioso theme

From: Fredrik Nyqvist <[email-masked]>
Date: Wed, 10 Jul 2019 19:06:25 +0200

By headerline I mean the white line, in this theme, that stays on the first
line in the buffer and displays the name and parameters of the current
function in the source file. You might need to navigate down to a function
to see the effect it has. As you scroll down the file the function top line
(function name and parameters etc) will still be visible.

The line becomes visible when 'semantic-stickyfunc-mode'. is enabled.

Den ons 10 juli 2019 kl 16:05 skrev Lars Ingebrigtsen <[email-masked]>:

> Fredrik Nyqvist <[email-masked]> writes:
>
> > When using misterioso theme, and semantic sticky-function-mode is
> enabled,
> > it is hard to see the function name under the header-line. The
> header-line face could
> > probably be darker.
> >
> > How to reproduce:
> >
> > Put these settings in your emacs init file:
> >
> > (require 'semantic)
> > (add-hook 'prog-mode-hook 'semantic-mode)
> > (semantic-mode 1)
> > (setq semantic-default-submodes
> >       '(global-semantic-stickyfunc-mode))
> > (load-theme 'misterioso t)
> >
> > Then open a C file to see the header-line enabled.
>
> What do you mean by "header-line" here?  I tried this and opened a .c
> file, and everything looked readable to me, but I'm not sure what to
> look for.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>